

declare @uid as varchar(100)
declare @idpadre as int
set @uid =(select top 1 seg_usuario.uid from seg_usuario where id=1)
set @idpadre=(select id from gui_funcionalidad where active=1 and id_tipoFuncionalidad=3 and url='/forms/ter/ter_contacto.aspx' )
if not exists(
select * from gui_funcionalidad where active =1 and id_tipoFuncionalidad =2 and nombrecomando='unificar' and id_funcionalidad=@idpadre 
)
begin

insert into [gui_funcionalidad]            ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[funcionalidad_codigo]
           ,[urlImagen]
           ,[urlFormulario]
           ,[targetUrl]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
 VALUES(@uid,'01',1,1,getdate(),getdate(),1,'Unificar Contactos','','unificar.jpg','','','','',0,'pop_unificarContacto','unificar',5,@idpadre,2)


end
-- asignar permisos a administrador

declare @tablagui table( id int, funcionalidad varchar(100),id_tipo  int, id_gui  int, active  bit );
with gui_fun(id ,funcionalidad ,id_tipo,id_gui,active)
AS
(
select id , funcionalidad ,id_tipofuncionalidad as id_tipo,id_funcionalidad as id_gui,active
from [gui_funcionalidad]where [gui_funcionalidad].id in (select id from gui_funcionalidad where active=1 and ( nombrecontrol='ter_contacto' ) and  id_tipofuncionalidad=3)--2456 --  96
union all 
select  [gui_funcionalidad].id , [gui_funcionalidad].funcionalidad ,[gui_funcionalidad].id_tipofuncionalidad as id_tipo,[gui_funcionalidad].id_funcionalidad as id_gui,[gui_funcionalidad].active
 from  [gui_funcionalidad]
 inner join gui_fun on [gui_funcionalidad].id_funcionalidad=gui_fun.id
 where  gui_fun.id>0 
 )
insert into @tablagui( id , funcionalidad ,id_tipo  , id_gui  , active   )
select id , funcionalidad ,id_tipo  , id_gui  , active from gui_fun;

if not exists(select * from seg_perfil_funcionalidad where active=1 and  id_perfil=2 and id_funcionalidad in(select id from @tablagui))
begin 
INSERT INTO [dbo].[seg_perfil_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[perfil_funcionalidad]
           ,[id_perfil]
           ,[id_funcionalidad])
    
   select @uid
           ,'01'
           ,1
           ,1
           ,getdate()
           ,getdate()
           ,1
           ,''
           ,2
           ,id   from @tablagui 
end ;



